@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.pageTitle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15px;
  @include font($fontGotham, 24px, 28.8px);
  color: $blackColor;
}

.pageContainer {
  height: 100%;
  max-height: 840px;
  display: grid;
  grid-template-columns: repeat(3, minmax(300px, 513px));
  gap: 15px;
}

.contentColumn {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.cardTitle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 15px 25px 15px;
  padding-bottom: 10px;
  border-bottom: 1px solid $lightBlueColor;

  .text {
    @include font($fontGotham, 18px, 21.6px);
    color: $blackColor;
  }

  .controls {
    display: flex;
    gap: 10px;

    .editBtn {
      width: 79px;
      height: 35px;
      border-radius: 5px !important;
      padding: 0;
    }
  }
}

.card {
  overflow: hidden;
  position: relative;
}

.smallCard {
  max-height: 412px;
}

.largeCard {
  height: 100%;
}

.blur {
  width: 100%;
  height: 100px;
  position: absolute;
  bottom: 0;
  background: linear-gradient(
    180deg,
    rgba(250, 251, 255, 0) 0%,
    $background 100%
  );
  pointer-events: none;
}

// partners card
.partnerContent {
  height: 345px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
  overflow-y: scroll;
  margin-right: 10px;
  padding: 0 10px 25px 20px;
}

.partnerPlate {
  width: 100%;
  max-width: 226px;
  display: flex;
  align-items: center;
  padding: 15px 10px 15px 18px;
  border: 1px solid $greyColor;
  border-radius: 10px;
  cursor: pointer;

  & > div:first-child {
    flex-shrink: 0;
    margin-right: 25px;
  }

  .info {
    & > div:first-child {
      @include font($fontGotham, 18px, 21.6px);
      color: $blackColor;
      margin-bottom: 5px;
    }

    & > div:last-child {
      @include font($fontGotham, 14px, 16.8px);
      color: $greyText;
    }
  }
}

// services card
.serviceContent {
  height: 370px;
  overflow-y: scroll;
  margin-right: 10px;
  padding: 0 10px 25px 20px;

  & > div:last-child {
    margin-bottom: 25px;
  }
}

.service {
  width: 100%;
  height: fit-content;
  display: flex;
  padding: 17px 0;
  border: 1px solid $greyColor;
  border-radius: 10px;
  margin-bottom: 10px;
  cursor: pointer;

  & > div:first-child {
    max-width: 120px !important;
  }

  & > div:last-child {
    padding-right: 15px;
  }
}

.section {
  width: 100%;
  max-width: 90px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-right: 1px solid $greyColor;
  padding: 2px 10px 0 20px;

  &:first-child {
    width: 163px;
  }

  &:last-child {
    border-right: none;
    padding-right: 30px;
  }
}

.subtitle {
  @include font($fontGotham, 12px, 14.4px);
  color: $greyColor;
  margin-bottom: 5px;
}

.nameSubtitle {
  @include font($fontGothamLight, 14px, 16.8px);
  color: $greyText;
}

.itemName {
  @include font($fontGotham, 18px, 21.6px);
  color: $blackColor;
  white-space: nowrap;
  overflow: hidden;
  -o-text-overflow: ellipsis;
  -ms-text-overflow: ellipsis;
  text-overflow: ellipsis;
}

.secSection,
.thSection,
.fSection {
  width: 100%;
  @include font($fontGotham, 16px, 19.2px);
  color: $greyText;
  text-transform: lowercase;
}

// shifts card
.platesContainer {
  display: flex;
  flex-direction: column;
  gap: 10px;

  height: 760px;
  overflow-y: scroll;
  margin-right: 10px;
  padding: 0 10px 25px 20px;

  & > div:last-child {
    margin-bottom: 25px;
  }
}

.shiftPlate {
  width: 100%;
  height: 80px;
  display: flex;
  align-items: center;
  background: $lightBlueSecColor;
  border: 1px solid $lightBlueColor;
  border-radius: 0px 15px 15px 0px;
  margin-bottom: 0;
  padding: 5px;
  cursor: pointer;

  .shiftBlock {
    height: 95%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-right: 1px solid $greyColor;
    padding: 2px 10px 0 20px;
    @include font($fontGotham, 18px, 21.6px);
    color: $greyText;

    &:nth-child(3) {
      width: 25%;
      border-right: none;
      padding-right: 0;
    }

    &:nth-child(4) {
      width: 25%;
      padding-right: 20px;
    }

    &:last-child {
      border-right: none;
      padding-right: 30px;
    }
  }

  .shiftColor {
    width: 6px;
    height: 100%;
    border-radius: 200px;
    margin-right: 0;
  }

  .firstBlock {
    width: 100%;
    max-width: 125px;
    @include font($fontGotham, 20px, 24px);
    color: $greyText;

    & > div {
      width: 100%;
      white-space: nowrap;
      overflow: hidden;
      -o-text-overflow: ellipsis;
      -ms-text-overflow: ellipsis;
      text-overflow: ellipsis;
    }
  }
}

.smallText {
  @include font($fontGothamLight, 14px, 16.8px);
  color: $greyColor;
}

// personal items card
.itemsContent {
  height: 345px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  overflow-y: scroll;
  margin-right: 10px;
  padding: 0 10px 25px 20px;
}

.parsonalPlate {
  width: 100%;
  height: fit-content;
  display: flex;
  padding: 17px 0;
  border: 1px solid $greyColor;
  border-radius: 10px;
  margin-bottom: 10px;
  cursor: pointer;

  & > div:first-child {
    max-width: 130px !important;
  }

  & > div:last-child {
    padding-right: 15px;
    max-width: 140px !important;
  }

  .section {
    width: 40%;
    max-width: 193px;
    text-transform: initial;
  }
}

// holidays card
.holidayPlate {
  & > div:first-child {
    max-width: 160px !important;
  }

  & > div:last-child {
    padding-right: 15px;
    max-width: 100px !important;
  }
}
